package com.swago.baseswago.model.im;

import static com.swago.baseswago.im.RoomMsgType.BECOME_MANAGER;

import androidx.annotation.NonNull;

import com.swago.baseswago.R;
import com.swago.baseswago.im.IRoomChat;
import com.swago.baseswago.util.AppContext;

public class BecomeManagerBean implements IRoomChat {
    private String roomId;
    private String receiverId;
    private String nickname;

    public String getRoomId() {
        return roomId;
    }

    public void setRoomId(String roomId) {
        this.roomId = roomId;
    }

    public String getReceiverId() {
        return receiverId;
    }

    public void setReceiverId(String receiverId) {
        this.receiverId = receiverId;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    @NonNull
    @Override
    public String getSenderName() {
        return nickname;
    }

    @NonNull
    @Override
    public String getMsgContent() {
        return String.format(AppContext.getContext().getResources().getString(R.string.become_room_manager),nickname);
    }

    @Override
    public int getMsgType() {
        return BECOME_MANAGER;
    }

    @Override
    public int getUserLevel() {
        return 0;
    }

    @Override
    public int getIsBenefit() {
        return 0;
    }

    @NonNull
    @Override
    public String getSenderId() {
        return receiverId;
    }

    @Override
    public boolean getIsPrettyId() {
        return false;
    }
}
